BW-PS
1
BRL-CAD
BRL-CAD

# bw-ps

convert a black and white bw file to PostScript

      bw-ps
        -e
        -c
        -L
        -s input_squaresize
        -w input_width
        -n input_height
        -S inches_square
        -W inches_width
        -N inches_height
        infile.bw
        >
        outfile.ps

## DESCRIPTION

Bw-ps will take a black and white bw 5 format file of given dimensions and produce a Postscript file on the standard output. The `-w` and `-n` flags specify the input file width and number of scan lines in pixels. They can both be set to the same value via `-s.` If no input size is given, defaults of 512 are assumed.

By default the output PostScript image size is 6.75 inches. The `-c` option will center it on a 8.5 x 11 inch page. If a different output size is desired, `-S` `-W` and `-N` can be used to set the size in inches analogous to the input parameters. Finally, `-L` selects landscape mode, i.e. rotates the output image by ninety degrees.

Encapsulated PostScript files can be generated via `-e.`

## EXAMPLES

bw-ps -c image.bw > image.ps

Produces a 6.75 inch PostScript file from an 512 x512 input image and centers it on an 8.5 x 11 inch page.

bw-ps -e -w 1024 -n 768 image.bw > image.ps

Takes the file image.bw which has the dimensions of 1024 pixels wide by 768 pixels high, and produces an Encapsulated Postscript version of it.

bw-ps -L -c -W 5.2 < image.bw > image.ps

Makes a PostScript file of the (assumed 512 square) image, with the output image 5.2 inches square, in landscape mode, centered on an 8.5 x 11 inch page.

## SEE ALSO

brlcad 1, bw 5

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1991-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.